BaseProperty
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.properties
Class BaseProperty

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.properties.BaseProperty

All Implemented Interfaces:
  Property

Direct Known Subclasses:
  PropertyTypes.CommonProperty, PropertyTypes.ElementProperty

    public abstract class BaseProperty

extends java.lang.Object
implements Property

Partial implementation of `Property`.

Author:
  Fabio Simeoni (University of Strathclyde)

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`javax.xml.namespace.QName` | `name()` Returns the name of the property.
`EdgePredicate` | `newPredicate()` Returns an `EdgePredicate` for the property with the default constraint on the target node.
`EdgePredicate` | `newPredicate(Predicate p)` Returns an `EdgePredicate` for the property with a given constraint on the target node.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### newPredicate

    public EdgePredicate newPredicate()

  Returns an `EdgePredicate` for the property with the default constraint on the target node.

  Specified by:
    `newPredicate` in interface `Property`
  Returns:
    the `EdgePredicate`.

### newPredicate

    public EdgePredicate newPredicate(Predicate p)

  Returns an `EdgePredicate` for the property with a given constraint on the target node.

  Specified by:
    `newPredicate` in interface `Property`
  Parameters:
    `p` - the constraint.
  Returns:
    the `EdgePredicate`.

### name

    public javax.xml.namespace.QName name()

  Returns the name of the property.

  Specified by:
    `name` in interface `Property`
  Returns:
    the name of the property.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD